Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.client
Class WebResponseObjectFactory

    java.lang.Object
      org.apache.cactus.internal.client.WebResponseObjectFactory

All Implemented Interfaces:
  ResponseObjectFactory

public class WebResponseObjectFactory
extends java.lang.Object
implements ResponseObjectFactory

Constructs Web response objects. Supports both Cactus `WebResponse` and HttpUnit `com.meterware.httpunit.WebResponse` response object creation.

Version:
  $Id: WebResponseObjectFactory.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`WebResponseObjectFactory(java.net.HttpURLConnection theConnection)`

Method Summary
`java.lang.Object` | `getResponseObject(java.lang.String theClassName, Request theRequest)` Constructs response object that are passed as parameter to `endXXX()` and global end methods.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebResponseObjectFactory

    public WebResponseObjectFactory(java.net.HttpURLConnection theConnection)

Parameters:
  `theConnection` - the connection object used to connect to the Cactus server side

Method Detail

### getResponseObject

    public java.lang.Object getResponseObject(java.lang.String theClassName,
                                              Request theRequest)
                                       throws ClientException

  Description copied from interface: `ResponseObjectFactory`
  Constructs response object that are passed as parameter to `endXXX()` and global end methods.

  Specified by:
    `getResponseObject` in interface `ResponseObjectFactory`
  Parameters:
    `theClassName` - the class name of the object to construct
    `theRequest` - the request that was sent by Cactus to the server side
  Returns:
    the response object that will be passed to `endXXX()` and `end()` methods
  Throws:
    `ClientException` - if it fails to construct the response object
  See Also:
    `ResponseObjectFactory.getResponseObject(java.lang.String, org.apache.cactus.Request)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.